List of warehouses
The method is available for models: FBS, Express and DBS.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- inventory-and-order-processing:read-only — View order information
- all-methods — Full account management
- all-methods:read-only — View all data
Returns a list of cabinet warehouses and information about them.
A list of work models is returned for each warehouse (FBS, DBS, Express) and API availability for each model.
Метод подходит, только если в кабинете нет групп складов
The method returns only individual warehouses and does not return groups of warehouses. If there are warehouse groups in the cabinet, use the method POST v2/businesses/{businessId}/warehouses. What are warehouse groups and why are they needed?.
⚙️ Limit: 100 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v3/businesses/{businessId}/warehouses
Path parameters
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer The number of values per page. Default: Min value: Max value: |
|
pageToken |
Type: string ID of the results page. If the parameter is omitted, the first page is returned. Pass the value of the output parameter Example: `` |
Body
application/json
{
"warehouseIds": [
1
],
"components": [
"ADDRESS"
]
}
|
Name |
Description |
|
components |
Type: string[] | null Properties of warehouses that need to be returned. If some parameter value is omitted, this information will not be included in the response. Pass the parameter only if you need the information it returns. Min items: Unique items: Example
|
|
warehouseIds |
Type: integer[] | null A list of warehouse IDs that need to be returned. If this parameter is omitted, all cabinet warehouses are returned. Min items: Unique items: Example
|
Responses
200 OK
The list of warehouses and their properties that you requested.
Body
application/json
{
"status": "OK",
"result": {
"warehouses": [
{
"id": 1,
"name": "example",
"models": [
null
],
"address": {}
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
warehouses
Type: object[]
id
Type: integer
The warehouse ID.
Min value:
1models
Type: object[]
apiAvailability
Type: string
The ability to use the API:
AVAILABLE— API methods are available for executing requests.DISABLED_BY_INACTIVITY— API methods are not available because the store has not placed products in the showcase for more than 90 days.DISABLED_BY_NO_ACTIVE_CONTRACT— API methods are unavailable due to the lack of an active contract with Yandex.Market.MANUALLY_DISABLED— API methods are not available because integration is disabled manually.DISABLED_BY_NO_PLACEMENT_TYPE— API methods are not available because the store is not connected to the placement program.
Detailed instructions for restoring access
Enum:
AVAILABLE,DISABLED_BY_INACTIVITY,DISABLED_BY_NO_ACTIVE_CONTRACT,MANUALLY_DISABLED,DISABLED_BY_NO_PLACEMENT_TYPEplacementType
Type: string
Working model:
FBS— FBS.DBS— DBS.EXPRESS— Express.
Enum:
FBS,DBS,EXPRESScampaignId
Type: integer
The ID of the campaign (store) — The technical identifier that represents your store in the Yandex Market system when working through the API. It is uniquely linked to your store, but it is intended only for automated interaction.
You can find it using a query GET v2/campaigns or find it in the seller's office on the Market. Click on your account icon → Settings and in the menu on the left, select APIs and modules:
- block Campaign ID;
- tab Query log → drop-down list in the block Show logs.
⚠️ Do not confuse it with:
- the store's identifier, which is displayed in the merchant's personal account.
- advertising campaigns.
Min value:
1The work models available for the warehouse.
Example
[ { "placementType": "FBS", "campaignId": 1, "apiAvailability": "AVAILABLE" } ]name
Type: string
The name of the warehouse.
Example:
exampleaddress
Type: object
city
Type: string
City.
Max length:
200Example:
examplegps
Type: object
latitude
Type: number
Width.
longitude
Type: number
Longitude.
GPS coordinates of latitude and longitude.
Example
{ "latitude": 0.5, "longitude": 0.5 }block
Type: string
Building number.
Max length:
16Example:
examplebuilding
Type: string
Building number.
Max length:
16Example:
examplenumber
Type: string
The house number.
Max length:
256Example:
examplestreet
Type: string
Street.
Max length:
512Example:
exampleWarehouse address.
Example
{ "city": "example", "street": "example", "number": "example", "building": "example", "block": "example", "gps": { "latitude": 0.5, "longitude": 0.5 } }List of warehouses.
Example
[ { "id": 1, "name": "example", "models": [ { "placementType": "FBS", "campaignId": 1, "apiAvailability": "AVAILABLE" } ], "address": { "city": "example", "street": "example", "number": "example", "building": "example", "block": "example", "gps": { "latitude": 0.5, "longitude": 0.5 } } } ]paging
Type: object
nextPageToken
Type: string
ID of the next results page.
Example:
exampleThe ID of the next page.
Example
{ "nextPageToken": "example" }Information about warehouses in the cabinet.
Example
{ "warehouses": [ { "id": 1, "name": "example", "models": [ { "placementType": "FBS", "campaignId": 1, "apiAvailability": "AVAILABLE" } ], "address": { "city": "example", "street": "example", "number": "example", "building": "example", "block": "example", "gps": { "latitude": 0.5, "longitude": 0.5 } } } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "warehouses": [ { "id": 1, "name": "example", "models": [ {} ], "address": { "city": "example", "street": "example", "number": "example", "building": "example", "block": "example", "gps": {} } } ], "paging": { "nextPageToken": "example" } } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error in Yandex. Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -